ERPNext Foundation ERPNext Cloud User Manual Blog Discuss Frappé* Donate

Bench start execution failed (Wrote js/item-dashboard.min.js)


#1

My initial question is this: whenever I run the site (localhost: 8000) should I leave the terminal open by running the bench start command? Or is bench start command executed only once?

I am using a virtual machine (Oracle VirtualBox) with Ubuntu 16.04 LTS, I made the easy installation of the frappe bench (developer mode) , I did all the steps correctly, but I can not finish the bench start command.

On the first try he locked in the item (Wrote js/item-dashboard.min.js)

After searching a bit I saw that entering the localhost: 8000 during the (js / item-dashboard.min.js) the process would continue, but as you can see in the images, some errors happen and I can not use the site.




On the second try I created another site, I installed the erpnext application, I changed currentsite.txt to the new site I created, and I executed bench start.

The command fired back into (js / item-dashboard.min.js)

I went back to localhost: 8000, but I could not finish the execution.




#2

Hi and welcome @Marcos1 ,
Please copy and paste the entire trace from the “Something went wrong” dialog box, so we can better understand the issue.
Are you on develop branch? I mean did you pass --develop or --production as prameter to install script.
If its develop try

bench switch-to-master
bench update

Thanks


#3

Has this been resolved as I am having the same issue on a Centos7 VM Vagrant Box that I am trying to build today.


#4

Still have this issue… Anyone else?


#5

I am having this issue as well on my virtual machine. Does anyone have a solution for this?


#6

"
Please copy and paste the entire trace from the “Something went wrong” dialog box, so we can better understand the issue.
Are you on develop branch? I mean did you pass --develop or --production as parameter to install script.
If its develop try

bench switch-to-master
bench update
"

Note this request as before - please respond with this info to help troubleshoot your case.

Include also your erpnext, frappe and VB version reference.


#7

@clarkej

Thanks for the reminder.

I switched bench to master and tried to update and the update gets stuck here:

I’ve tried several times and it doesn’t proceed beyond this point after several hours of waiting. So at this point i cannot confirm if switching to master fixed the problem as the update is not complete.


#8

So your install download runs, but stalls and fails to complete on chromedriver -

Things to try -

Run ‘sudo apt-get update’ to ensure all the package urls are current.

Run ‘bench update’

Also try ‘sudo npm i -g chromedriver’ to see if that completes.

Check the npm log for error reports for eg this:

/home/frappe/.npm/_logs/2018-05-09T14_16_44_528Z-debug.log

Other clues here https://discuss.erpnext.com/search?q=npm%20install

One good practice request is please copy and paste the entire log, so you include the command line, rather than take a snapshot which very often omits critical info.


#9

I tried the codes as given below

and the chromedriver installation completed successfully. I then ran sudo apt-get update one more time to be sure all the urls are up to date before running bench update again and this is what i got:








i couldn’t copy the log itself because virtualbox would not allow me to hence i had to screenshot every page.

I also could not find “_logs” within the “.npm” directory.


#10

“i couldn’t copy the log itself because virtualbox would not allow me to hence i had to screenshot every page.”

If you can’t remote ssh login maybe resolve that sometime -

In any case now update completes but not migrate.

It seems an encoding issue with python 3.5? Maybe switch to python 2.7?

There are these posts https://discuss.erpnext.com/search?q=TypeError%3A%20a%20bytes-like


#11

#12

I have checked my python version and it is version 2.7.12. However, for some reason the update calls python v3.5. Is it logical to think that the update script assumes v3.5 to be installed while in actual fact the version is lower? I saw in that discussion that tests are underway for v3.5 in the develop branch and the image i am trying to get running is v11 beta develop.


#13

“Is it logical to think that the update script assumes v3.5 to be installed while in actual fact the version is lower?”

Yes it seems while master contains V10 that remains on 2.7, develop has V11 that runs on 3.5? So to switch between the two in the same bench causes the confusion you have.

This states the python version in use is set and dictated by the bench environment ERPNext + Python 3

Hence master and develop must have separate benches.


#14

Well i have tried so many options but i can’t get the image to start up bench. I wanted to give it a run so i can contribute to the testing but i guess its either the image has inherent defects but there’s something i’m not doing right and i can’t figure out what it is.


#15

Yes for sure the question of how to navigate environments is perplexing and not for the faint of heart - that’s why to troubleshoot and keep my sanity I have scores of VM instances - I use KVM on a few dual processor linux boxes.

This may clarify the question of production, development and branches Breaking down Environment and branch (develop, master)